//#-hidden-code
//
//  Contents.swift
//
import PlaygroundSupport
import Foundation
//#-end-hidden-code
/*: some text
 ## イメージの描画
 このプログラムは、micro:bitのボタンに反応して処理するものです。
 * Note:
 ボタンに押された際の処理は「ボタンが押された」というイベントで実行するものをあらかじめ登録しておくことになります。
 */
clearScreen()
onButtonPressed(.A, handler: {
    let textToDisplay = "Hello World"
    showString(textToDisplay)
})
onButtonPressed(.AB, handler: {
    let imageToDisplay = iconImage(.heart)
    imageToDisplay.showImage()
})
